Subject: Re: [PATCH] upload-pack: keep poll(2)'s timeout to -1

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Aug 2014 11:26:51 -0700

Edward Thomson <[email-masked]> writes:

> On Fri, Aug 22, 2014 at 12:03:34PM -0400, Jeff King wrote:
>> 
>> Yeah, I wasn't thinking we would get negative values from the user (we
>> don't document them at all), but we should probably do something
>> sensible. Let's just leave it at Ed's patch.
>
> Thanks, both.  Apologies for the dumb question: is there anything
> additional that I need to do (repost with your Acked-by, for example)
> or is this adequate as-is?

I've picked it up and queued it on 'pu'.  Thanks.

commit 6c71f8b0d3d39beffe050f92f33a25dc30dffca3
Author: Edward Thomson <[email-masked]>
Date:   Fri Aug 22 15:19:11 2014 +0000

    upload-pack: keep poll(2)'s timeout to -1
    
    Keep poll's timeout at -1 when uploadpack.keepalive = 0, instead of
    setting it to -1000, since some pedantic old systems (eg HP-UX) and
    the gnulib compat/poll will treat only -1 as the valid value for
    an infinite timeout.
    
    Signed-off-by: Edward Thomson <[email-masked]>
    Acked-by: Jeff King <[email-masked]>
    Signed-off-by: Junio C Hamano <[email-masked]>